Distribution:   CCux-Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gtkmm 
Version:	2.12.7
Release:	2
Summary:	%{name} provides a C++ interface to the GTK+ GUI library.
License:	GNU/GPL 
URL:		http://www.gtkmm.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibmm-devel >= 2.6.0
BuildRequires:	cairomm-devel
BuildRequires:	libX11-devel
BuildRequires:	libXrender-devel
BuildRequires:	atk-devel
BuildRequires:	glibc-devel
BuildRequires:	cairo-devel
BuildRequires:	expat-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	glib-devel
BuildRequires:	gtk2+-devel
BuildRequires:	pango-devel
BuildRequires:	libpng-devel
BuildRequires:	libsigc++-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libxcb-devel
BuildRequires:	zlib-devel

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
%{name} provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.
For more details see: %{url}

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires:	rpm >= 4.4.2.3-1

%description	devel
Header and include files for developing applications with %{name}.

%package	doc
Summary:	%{name} manual pages.
Group:		Documentation
Requires: 	%{name} = %{version}-%{release}
Obsoletes:	%{name}-man

%description doc
%{name} manual pages.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/gdkmm-2.4
%_libdir/gtkmm-2.4
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig/*.pc

%files doc
%defattr(-,root,root)
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 25 2008 Christian Wasem <wasem@ccux-linux.de> 2.12.7-2
- rebuild for doc package
* Sat Jul 19 2008 Christian Wasem <wasem@ccux-linux.de> 2.12.7-1
- Version update
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.12.3-1
- version update
* Mon Aug 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.10.11-1
- version update
* Sun Aug 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.8.8-1
- version update
* Fri Jul 01 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.3-2
- Tweaked specfile, renamed man to doc, moved more files to devel package
* Thu Jun 30 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.6.3-1
- Version Update to 2.6.3
* Sun Jan 16 2005 Christian Wasem <wasem@ccux-linux.de> 2.4.0-1
- Initial Release
